[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarIsArray

Check whether a variant is an array

## Declaration

Source position: variants.pp line 138

`function VarIsArray(`
`const A: Variant`
`):Boolean; function VarIsArray(`
`const A: Variant;`
`AResolveByRef: Boolean`
`):Boolean;`

## Arguments

`A` |  | Variant to test

## Function result

True if A is an array (or reference to an array)

## Arguments

`A` |  | Variant to test
`AResolveByRef` |  | When True, if the variant is a reference, it is dereferenced

## Description

VarIsArray returns True if A is an array. If AResolveByRef is True (the default) then it will resolve all references first.

## Errors

None.

## See also

VarTypeIsValidArrayType |  | Check if a variant type can be used in an array